Extending Qt Creator Manual | CustomParser

Extending Qt Creator Manual 4.3.0

# CustomParser Class

(ProjectExplorer::CustomParser)

Inherits: | ProjectExplorer::IOutputParser

- List of all members, including inherited members

## Public Functions

| CustomParser(const CustomParserSettings &settings = CustomParserSettings())
void | setSettings(const CustomParserSettings &settings)

- 9 public functions inherited from ProjectExplorer::IOutputParser

### Additional Inherited Members

- 2 public slots inherited from ProjectExplorer::IOutputParser
- 2 signals inherited from ProjectExplorer::IOutputParser
- 1 static public member inherited from ProjectExplorer::IOutputParser

## Member Function Documentation

### CustomParser::CustomParser(const CustomParserSettings &settings = CustomParserSettings())

Copy constructor.

### void CustomParser::setSettings(const CustomParserSettings &settings)